- hosts: localhost
  gather_facts: no
  tasks:
    - name: Authenticate with engine
      ovirt_auth:
        url: https://<virtlab.example.com>/ovirt-engine/api
        username: <username@profile>
        password: <password>
        insecure: yes

    - name: Upload RHCOS image
      ovirt_disk:
        auth: "{{ ovirt_auth }}"
        name: <rhcos_44-81_img-diskname>
        size: 32GiB
        interface: virtio_scsi
        storage_domain: <SSD_RAID_10>
        bootable: yes
        timeout: 3600
        upload_image_path: </custom/rhcos-44.81.*.x86_64.qcow2>
        wait: yes
